Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messages
Class JMSMap

    java.lang.Object
      net.sf.dropboxmq.messages.JMSMap

All Implemented Interfaces:
  Serializable

     class JMSMap

extends Object
implements Serializable

Created: 28 Jan 2006

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz

Constructor Summary
`JMSMap(boolean propertyMode)`

Method Summary
`(package private) void` | `clear()`
`(package private) boolean` | `containsKey(String key)`
`(package private) boolean` | `getBoolean(String key)`
`(package private) byte` | `getByte(String key)`
`(package private) byte[]` | `getBytes(String key)`
`(package private) char` | `getChar(String key)`
`(package private) double` | `getDouble(String key)`
`(package private) float` | `getFloat(String key)`
`(package private) int` | `getInt(String key)`
`(package private) long` | `getLong(String key)`
`(package private) Object` | `getObject(String key)`
`(package private) short` | `getShort(String key)`
`(package private) String` | `getString(String key)`
`(package private) Set` | `keySet()`
`(package private) void` | `setObject(String key, Object value)`
`(package private) void` | `setReadOnly(boolean readOnly)`
`protected String` | `toObjectString()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMSMap

    JMSMap(boolean propertyMode)

Method Detail

### setReadOnly

    void setReadOnly(boolean readOnly)

### clear

    void clear()
         throws JMSException

  Throws:
    `JMSException`

### containsKey

    boolean containsKey(String key)
                  throws JMSException

  Throws:
    `JMSException`

### getBoolean

    boolean getBoolean(String key)
                 throws JMSException

  Throws:
    `JMSException`

### getByte

    byte getByte(String key)
           throws JMSException

  Throws:
    `JMSException`

### getShort

    short getShort(String key)
             throws JMSException

  Throws:
    `JMSException`

### getInt

    int getInt(String key)
         throws JMSException

  Throws:
    `JMSException`

### getLong

    long getLong(String key)
           throws JMSException

  Throws:
    `JMSException`

### getFloat

    float getFloat(String key)
             throws JMSException

  Throws:
    `JMSException`

### getDouble

    double getDouble(String key)
               throws JMSException

  Throws:
    `JMSException`

### getChar

    char getChar(String key)
           throws JMSException

  Throws:
    `JMSException`

### getString

    String getString(String key)
               throws JMSException

  Throws:
    `JMSException`

### getBytes

    byte[] getBytes(String key)
              throws JMSException

  Throws:
    `JMSException`

### getObject

    Object getObject(String key)
               throws JMSException

  Throws:
    `JMSException`

### keySet

    Set keySet()

### setObject

    void setObject(String key,
                   Object value)
             throws JMSException

  Throws:
    `JMSException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD